This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 458973 - python-linux-procfs: Add per process flags
python-linux-procfs: Add per process flags
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-utilities (Show other bugs)
1.1
All Linux
low Severity low
: 1.0.2
: ---
Assigned To: Arnaldo Carvalho de Melo
: FutureFeature
Depends On:
Blocks: 459003
  Show dependency treegraph
 
Reported: 2008-08-13 10:54 EDT by Arnaldo Carvalho de Melo
Modified: 2008-09-03 15:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 15:18:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arnaldo Carvalho de Melo 2008-08-13 10:54:51 EDT
Description of problem:

To check that a thread is bound to a processor we need the PF_THREAD_BOUND flag defined somewhere, other flags such as PF_KERNEL_THREAD are also useful, so add all the flags into the pidstats class, that is where we store the data read from /proc/<PID>/stat, where the flags are made available to userspace.

This will be used by the new tuna version, so that we don't mess with percpu kernel threads SMP affinity masks.
Comment 3 errata-xmlrpc 2008-09-03 15:18:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0865.html

Note You need to log in before you can comment on or make changes to this bug.